#!/bin/bash
# Task to set password for moeny user (alpine::post_set_moeny_password)

# Function to check last command status
check_status() {
    if [ $? -ne 0 ]; then
        echo '{"status": "error", "message": "'"$1"'"}' 
        exit 1
    fi
}

# Generate a random 15-character password locally
echo "Generating password..."
MOENY_PASSWORD=$(head -c 30 /dev/urandom | base64 | tr -dc 'a-zA-Z0-9' | head -c 15)
echo "Debug - Generated password: ${MOENY_PASSWORD}"
check_status "Failed to generate password"

# Set the password for moeny user
echo "moeny:${MOENY_PASSWORD}" | sudo chpasswd
check_status "Failed to set password for moeny user"

echo '{"status": "success", "message": "Moeny user password set to: '"${MOENY_PASSWORD}"'"}'
exit 0