#!/bin/bash
# Task to set password for root user (alpine::post_set_root_password)

# Function to check last command status
check_status() {
    if [ $? -ne 0 ]; then
        echo '{"status": "error", "message": "'"$1"'"}' 
        exit 1
    fi
}

# Generate a random 15-character password locally
echo "Generating password..."
ROOT_PASSWORD=$(head -c 30 /dev/urandom | base64 | tr -dc 'a-zA-Z0-9' | head -c 15)
echo "Debug - Generated password: ${ROOT_PASSWORD}"
check_status "Failed to generate password"

# Set the password for root user
echo "root:${ROOT_PASSWORD}" | sudo chpasswd
check_status "Failed to set password for root user"

echo '{"status": "success", "message": "Root password set to: '"${ROOT_PASSWORD}"'"}' 
exit 0 