#!/bin/bash
# Task to set password for moeny user (alpine::set_moeny_password)

# Input Variables
STAGING_IP="${PT_staging_ip}"

# Function to check last command status
check_status() {
    if [ $? -ne 0 ]; then
        echo '{"status": "error", "message": "'"$1"'"}' 
        exit 1
    fi
}

# Generate a random 15-character password locally
echo "Generating password..."
MOENY_PASSWORD=$(head -c 30 /dev/urandom | base64 | tr -dc 'a-zA-Z0-9' | head -c 15)
echo "Debug - Generated password: ${MOENY_PASSWORD}"
check_status "Failed to generate password"

# Set the password for moeny user
ssh -o StrictHostKeyChecking=no root@${STAGING_IP} "echo 'moeny:${MOENY_PASSWORD}' | chpasswd"
check_status "Failed to set password for moeny user"

echo '{"status": "success", "message": "Moeny user password set to: '"${MOENY_PASSWORD}"'"}' 
exit 0 