#!/bin/bash
# Task to Create an Ubuntu VM (ubuntu::create_vm)

# Input Variables
ISO_PATH=$PT_iso_path
VM_NAME=$PT_vm_name
RAM=$PT_ram
VCPUS=$PT_vcpus
DISK_SIZE=$PT_disk_size
DISK_PATH=$PT_disk_path
NETWORK=$PT_network
OS_VARIANT=$PT_os_variant

# Create VM disk if not already exists
if [ ! -f "$DISK_PATH" ]; then
  qemu-img create -f qcow2 "$DISK_PATH" "$DISK_SIZE"G > /dev/null 2>&1
fi

# Create VM
virt-install \
  --name "$VM_NAME" \
  --ram "$RAM" \
  --vcpus "$VCPUS" \
  --os-variant "$OS_VARIANT" \
  --disk path="$DISK_PATH",format=qcow2 \
  --cdrom "$ISO_PATH" \
  --network network="$NETWORK" \
  --graphics vnc \
  --noautoconsole \
  --autostart \
  --wait -1

sleep 90